Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv.xs
Class ListDV

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.xs.TypeValidator
            |
            +--org.apache.xerces.impl.dv.xs.ListDV

public class ListDV
extends TypeValidator

Represent the schema list types

Version:
  $Id: ListDV.java,v 1.5 2003/01/21 16:47:11 neilg Exp $
Author:
  Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`ListDV()`

Method Summary
`java.lang.Object` | `getActualValue(java.lang.String content, ValidationContext context)`
`short` | `getAllowedFacets()`
`int` | `getDataLength(java.lang.Object value)`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, compare, getDigit, getFractionDigits, getTotalDigits, isDigit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListDV

    public ListDV()

Method Detail

### getAllowedFacets

    public short getAllowedFacets()

  Overrides:
    `getAllowedFacets` in class `TypeValidator`

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Overrides:
    `getActualValue` in class `TypeValidator`

### getDataLength

    public int getDataLength(java.lang.Object value)

  Overrides:
    `getDataLength` in class `TypeValidator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.